Package com.omnisci.thrift.server

## Class OmniSci

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci

    public class OmniSci
    extends Object

### Nested Class Summary

Nested Classes
`static class` `OmniSci.AsyncClient`
`static interface` `OmniSci.AsyncIface`
`static class` `OmniSci.AsyncProcessor<I extends OmniSci.AsyncIface>`
`static class` `OmniSci.broadcast_serialized_rows_args`
`static class` `OmniSci.broadcast_serialized_rows_result`
`static class` `OmniSci.check_table_consistency_args`
`static class` `OmniSci.check_table_consistency_result`
`static class` `OmniSci.checkpoint_args`
`static class` `OmniSci.checkpoint_result`
`static class` `OmniSci.clear_cpu_memory_args`
`static class` `OmniSci.clear_cpu_memory_result`
`static class` `OmniSci.clear_gpu_memory_args`
`static class` `OmniSci.clear_gpu_memory_result`
`static class` `OmniSci.Client`
`static class` `OmniSci.clone_session_args`
`static class` `OmniSci.clone_session_result`
`static class` `OmniSci.connect_args`
`static class` `OmniSci.connect_result`
`static class` `OmniSci.create_dashboard_args`
`static class` `OmniSci.create_dashboard_result`
`static class` `OmniSci.create_link_args`
`static class` `OmniSci.create_link_result`
`static class` `OmniSci.create_table_args`
`static class` `OmniSci.create_table_result`
`static class` `OmniSci.deallocate_df_args`
`static class` `OmniSci.deallocate_df_result`
`static class` `OmniSci.delete_dashboard_args`
`static class` `OmniSci.delete_dashboard_result`
`static class` `OmniSci.delete_dashboards_args`
`static class` `OmniSci.delete_dashboards_result`
`static class` `OmniSci.detect_column_types_args`
`static class` `OmniSci.detect_column_types_result`
`static class` `OmniSci.disconnect_args`
`static class` `OmniSci.disconnect_result`
`static class` `OmniSci.execute_next_render_step_args`
`static class` `OmniSci.execute_next_render_step_result`
`static class` `OmniSci.execute_query_step_args`
`static class` `OmniSci.execute_query_step_result`
`static class` `OmniSci.get_all_files_in_archive_args`
`static class` `OmniSci.get_all_files_in_archive_result`
`static class` `OmniSci.get_all_roles_for_user_args`
`static class` `OmniSci.get_all_roles_for_user_result`
`static class` `OmniSci.get_completion_hints_args`
`static class` `OmniSci.get_completion_hints_result`
`static class` `OmniSci.get_dashboard_args`
`static class` `OmniSci.get_dashboard_grantees_args`
`static class` `OmniSci.get_dashboard_grantees_result`
`static class` `OmniSci.get_dashboard_result`
`static class` `OmniSci.get_dashboards_args`
`static class` `OmniSci.get_dashboards_result`
`static class` `OmniSci.get_databases_args`
`static class` `OmniSci.get_databases_result`
`static class` `OmniSci.get_db_object_privs_args`
`static class` `OmniSci.get_db_object_privs_result`
`static class` `OmniSci.get_db_objects_for_grantee_args`
`static class` `OmniSci.get_db_objects_for_grantee_result`
`static class` `OmniSci.get_device_parameters_args`
`static class` `OmniSci.get_device_parameters_result`
`static class` `OmniSci.get_first_geo_file_in_archive_args`
`static class` `OmniSci.get_first_geo_file_in_archive_result`
`static class` `OmniSci.get_hardware_info_args`
`static class` `OmniSci.get_hardware_info_result`
`static class` `OmniSci.get_heap_profile_args`
`static class` `OmniSci.get_heap_profile_result`
`static class` `OmniSci.get_internal_table_details_args`
`static class` `OmniSci.get_internal_table_details_result`
`static class` `OmniSci.get_layers_in_geo_file_args`
`static class` `OmniSci.get_layers_in_geo_file_result`
`static class` `OmniSci.get_license_claims_args`
`static class` `OmniSci.get_license_claims_result`
`static class` `OmniSci.get_link_view_args`
`static class` `OmniSci.get_link_view_result`
`static class` `OmniSci.get_memory_args`
`static class` `OmniSci.get_memory_result`
`static class` `OmniSci.get_physical_tables_args`
`static class` `OmniSci.get_physical_tables_result`
`static class` `OmniSci.get_result_row_for_pixel_args`
`static class` `OmniSci.get_result_row_for_pixel_result`
`static class` `OmniSci.get_roles_args`
`static class` `OmniSci.get_roles_result`
`static class` `OmniSci.get_server_status_args`
`static class` `OmniSci.get_server_status_result`
`static class` `OmniSci.get_session_info_args`
`static class` `OmniSci.get_session_info_result`
`static class` `OmniSci.get_status_args`
`static class` `OmniSci.get_status_result`
`static class` `OmniSci.get_table_details_args`
`static class` `OmniSci.get_table_details_result`
`static class` `OmniSci.get_table_epoch_args`
`static class` `OmniSci.get_table_epoch_by_name_args`
`static class` `OmniSci.get_table_epoch_by_name_result`
`static class` `OmniSci.get_table_epoch_result`
`static class` `OmniSci.get_tables_args`
`static class` `OmniSci.get_tables_meta_args`
`static class` `OmniSci.get_tables_meta_result`
`static class` `OmniSci.get_tables_result`
`static class` `OmniSci.get_users_args`
`static class` `OmniSci.get_users_result`
`static class` `OmniSci.get_version_args`
`static class` `OmniSci.get_version_result`
`static class` `OmniSci.get_views_args`
`static class` `OmniSci.get_views_result`
`static class` `OmniSci.has_object_privilege_args`
`static class` `OmniSci.has_object_privilege_result`
`static class` `OmniSci.has_role_args`
`static class` `OmniSci.has_role_result`
`static interface` `OmniSci.Iface`
`static class` `OmniSci.import_geo_table_args`
`static class` `OmniSci.import_geo_table_result`
`static class` `OmniSci.import_table_args`
`static class` `OmniSci.import_table_result`
`static class` `OmniSci.import_table_status_args`
`static class` `OmniSci.import_table_status_result`
`static class` `OmniSci.insert_data_args`
`static class` `OmniSci.insert_data_result`
`static class` `OmniSci.interrupt_args`
`static class` `OmniSci.interrupt_result`
`static class` `OmniSci.krb5_connect_args`
`static class` `OmniSci.krb5_connect_result`
`static class` `OmniSci.load_table_args`
`static class` `OmniSci.load_table_binary_args`
`static class` `OmniSci.load_table_binary_arrow_args`
`static class` `OmniSci.load_table_binary_arrow_result`
`static class` `OmniSci.load_table_binary_columnar_args`
`static class` `OmniSci.load_table_binary_columnar_result`
`static class` `OmniSci.load_table_binary_result`
`static class` `OmniSci.load_table_result`
`static class` `OmniSci.Processor<I extends OmniSci.Iface>`
`static class` `OmniSci.query_get_outer_fragment_count_args`
`static class` `OmniSci.query_get_outer_fragment_count_result`
`static class` `OmniSci.register_runtime_extension_functions_args`
`static class` `OmniSci.register_runtime_extension_functions_result`
`static class` `OmniSci.render_vega_args`
`static class` `OmniSci.render_vega_result`
`static class` `OmniSci.replace_dashboard_args`
`static class` `OmniSci.replace_dashboard_result`
`static class` `OmniSci.set_execution_mode_args`
`static class` `OmniSci.set_execution_mode_result`
`static class` `OmniSci.set_license_key_args`
`static class` `OmniSci.set_license_key_result`
`static class` `OmniSci.set_table_epoch_args`
`static class` `OmniSci.set_table_epoch_by_name_args`
`static class` `OmniSci.set_table_epoch_by_name_result`
`static class` `OmniSci.set_table_epoch_result`
`static class` `OmniSci.share_dashboard_args`
`static class` `OmniSci.share_dashboard_result`
`static class` `OmniSci.share_dashboards_args`
`static class` `OmniSci.share_dashboards_result`
`static class` `OmniSci.sql_execute_args`
`static class` `OmniSci.sql_execute_df_args`
`static class` `OmniSci.sql_execute_df_result`
`static class` `OmniSci.sql_execute_gdf_args`
`static class` `OmniSci.sql_execute_gdf_result`
`static class` `OmniSci.sql_execute_result`
`static class` `OmniSci.sql_validate_args`
`static class` `OmniSci.sql_validate_result`
`static class` `OmniSci.start_heap_profile_args`
`static class` `OmniSci.start_heap_profile_result`
`static class` `OmniSci.start_query_args`
`static class` `OmniSci.start_query_result`
`static class` `OmniSci.start_render_query_args`
`static class` `OmniSci.start_render_query_result`
`static class` `OmniSci.stop_heap_profile_args`
`static class` `OmniSci.stop_heap_profile_result`
`static class` `OmniSci.switch_database_args`
`static class` `OmniSci.switch_database_result`
`static class` `OmniSci.unshare_dashboard_args`
`static class` `OmniSci.unshare_dashboard_result`
`static class` `OmniSci.unshare_dashboards_args`
`static class` `OmniSci.unshare_dashboards_result`

### Constructor Summary

Constructors
`OmniSci()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OmniSci

    public OmniSci()